MCP Tools Reference: cloudsupport.googleapis.com

Tool: list_comments

Retrieve all Comments associated with the Case object. Use this tool to retrieve the history of comments for a specific case. The parent case must be provided in the format: projects/{project}/cases/{case}.

The following sample demonstrate how to use curl to invoke the list_comments MCP tool.

Curl Request
                  
curl --location 'https://cloudsupport.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_comments",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The request message for the ListComments endpoint.

ListCommentsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. The name of the case for which to list comments.

pageSize

integer

Optional. The maximum number of comments to fetch. Defaults to 10.

pageToken

string

Optional. A token identifying the page of results to return. If unspecified, the first page is retrieved.

Output Schema

The response message for the ListComments endpoint.

ListCommentsResponse

JSON representation
{
  "comments": [
    {
      object (Comment)
    }
  ],
  "nextPageToken": string
}
Fields
comments[]

object (Comment)

List of the comments associated with the case.

nextPageToken

string

A token to retrieve the next page of results. Set this in the page_token field of subsequent cases.comments.list requests. If unspecified, there are no more results to retrieve.

Comment

JSON representation
{
  "name": string,
  "createTime": string,
  "creatorDisplayName": string,
  "creatorUsername": string,
  "creatorGoogleSupport": boolean,
  "body": string
}
Fields
name

string

Output only. Identifier. The resource name of the comment.

createTime

string (Timestamp format)

Output only. The time when the comment was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

creatorDisplayName

string

Output only. The display name of the comment creator. If not provided, it is inferred from credentials supplied during creation.

This will be obfuscated if the user is a Google Support agent.

creatorUsername

string

Output only. The username of the comment creator. It may look like an email or other format provided by the identity provider. If not provided, it is inferred from the credentials supplied. When a creatorDisplayName is provided, a creatorUsername must also be provided. If the user is a Google Support agent, this will not be set.

creatorGoogleSupport

boolean

Output only. Whether the creator is a Google support actor.

body

string

The full comment body.

Maximum of 12800 characters.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌